# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

inherit eutils depend.apache depend.php

DESCRIPTION="Mandriva Directory Server - Identity and network services management made easy !"
HOMEPAGE="http://mds.mandriva.org/"
SRC_URI="http://mds.mandriva.org/pub/mds/sources/${PV}/${P}.tar.gz"

LICENSE="GPL-2"
KEYWORDS="~amd64 ~x86 ~x86-fbsd"
IUSE=""
DEPEND="sys-apps/lsb-release
	sys-devel/gettext"
RDEPEND=">=app-admin/mmc-agent-${PV}
	dev-lang/php[ldap,xmlrpc,nls]"
SLOT="0"

need_php_httpd

src_prepare() {
	epatch "${FILESDIR}"/${PN}-2.3.2-gentoo-2.patch
}

src_install() {
	emake DESTDIR="${D}" PREFIX=/usr HTTPDUSER=apache install || die "install failed"
	insinto /etc/mmc
	doins confs/mmc.ini || die "ini install failed"

	insinto /etc/apache2/modules.d
	newins confs/apache/mmc.conf 90_mmc.conf
}
