# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

inherit eutils depend.apache depend.php

DESCRIPTION="Open Source Computer System Management !"
HOMEPAGE="http://pulse2.mandriva.org/"
SRC_URI="http://pulse2.mandriva.org/pub/pulse2/sources/${PV}/${P}.tar.gz
	http://ftp.mars.arge.at/mds/${P}.tar.gz"

LICENSE="GPL-2"
KEYWORDS="~amd64 ~x86 ~x86-fbsd"
IUSE=""
DEPEND="sys-apps/lsb-release
	sys-devel/gettext"
RDEPEND=">=app-admin/mmc-web-base-2.3.1
	>=app-admin/pulse2-mmc-plugins-${PV}"
SLOT="0"

need_php_httpd

src_prepare() {
	epatch "${FILESDIR}"/${PN}-1.2.0-makefile-1.patch
}


src_install() {
	emake DESTDIR="${D}" PREFIX=/usr install || die "install failed"
}
